メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /auth/refresh

アクセストークンの期限切れ時に、有効なリフレッシュトークンを渡して新しいアクセストークンを取得します。
セキュリティ強化のためトークンローテーションを実装しています。更新のたびに新しいリフレッシュトークンが発行され、旧トークンは自動的に失効します。

リクエストボディ

refreshToken
string
必須
ログイン時または以前のリフレッシュ時に発行されたリフレッシュトークン。

レスポンス

success
boolean
リフレッシュが成功したかどうか。
message
string
読みやすいステータスメッセージ。
tokens
object
新しい認証トークン。
curl -X POST https://api.llmgenerator.com/api/v1/auth/refresh \
  -H "Content-Type: application/json" \
  -d '{
        "refreshToken": "YOUR_REFRESH_TOKEN"
      }'
{
  "success": true,
  "message": "Token refreshed successfully",
  "tokens": {
    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "expiresIn": 900,
    "tokenType": "Bearer"
  }
}